resources:
    App\Entity\RemoteCalendar:
        processor: App\State\Processor\RemoteCalendarProcessor
        input: App\Dto\Input\RemoteCalendarInput
        output: App\Dto\Output\RemoteCalendarOutput
        normalizationContext:
            groups: ['default', 'remote-calendar:read']
        denormalizationContext:
            groups: ['remote-calendar:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\RemoteCalendarProvider
                filters:
                    - 'api_platform.filter.remote_calendar.order'
                    - 'api_platform.filter.remote_calendar.search'

            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\RemoteCalendarProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\RemoteCalendarProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\RemoteCalendarProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

            sync_uds:
                class: ApiPlatform\Metadata\Post
                method: POST
                uriTemplate: /remote-calendars/{uuid}/sync-uds
                controller: App\Controller\UDS\RemoteCalendarSyncUdsAction

properties:
    App\Entity\RemoteCalendar:
        id:
            identifier: false
        uuid:
            identifier: true